%define version	20080127
%define	number	1.4.0

Summary: 	Electronic symbols for gEDA
Name: 		geda-symbols
Version: 	%{version}
Release: 	%mkrel 1
Source:		%name-%{number}.tar.gz
Url:		http://www.geda.seul.org
License:	GPL 
Group: 		Sciences/Other
BuildRoot:  	%{_tmppath}/%{name}-%{version}
BuildRequires: transfig
BuildRequires: ghostscript

%description
This package contains a bunch of symbols of electronic devices
used by gschem, the gEDA project schematic editor.

%prep
%setup -q -n %{name}-%{number}

%build
%configure

%install
rm -Rf $RPM_BUILD_ROOT
MY_DIR=$RPM_BUILD_ROOT%_datadir/gEDA
MY_DDIR=$RPM_BUILD_ROOT%_datadir/gEDA/sym
%make install DESTDIR=$RPM_BUILD_ROOT

rm -fvr %doc $RPM_BUILD_ROOT%{_datadir}/doc/

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%_bindir/gesym-config
%doc AUTHORS ChangeLog COPYING README documentation/nc.pdf
%dir %{_datadir}/gEDA
%dir %{_datadir}/gEDA/sym
%dir %{_datadir}/gEDA/sym/*/
%dir %{_datadir}/gEDA/scheme
%{_datadir}/gEDA/sym/*/*
%{_datadir}/gEDA/scheme/*
%{_datadir}/gEDA/gafrc.d


%changelog
* Sat Aug 23 2008 Olivier Thauvin <nanardon@mandriva.org> 20080127-1mdv2009.0
+ Revision: 275417
- 20080127

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 20071231-3mdv2009.0
+ Revision: 245872
- rebuild

* Sun Jan 06 2008 trem <trem@mandriva.org> 20071231-1mdv2008.1
+ Revision: 146066
- don't use version number (1.2.1), instead use date (20071231)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun May 20 2007 Olivier Thauvin <nanardon@mandriva.org> 20070216-1mdv2008.0
+ Revision: 28795
- 20070216


* Fri Dec 08 2006 Olivier Thauvin <nanardon@mandriva.org> 20061020-1mdv2007.0
+ Revision: 93873
- v 20061020

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org> 20060123-2mdv2007.0
+ Revision: 53591
- rebuild
- Import geda-symbols

* Sun May 14 2006 Olivier Thauvin <nanardon@mandriva.org> 20060123-1mdk
- 20060123

* Wed Oct 05 2005 Olivier Thauvin <nanardon@mandriva.org> 20050820-1mdk
- 20050820

* Tue Apr 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20040111-1mdk
- 20040111

